Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159093 - gnome-background-properties and firefox add wallpaper bug
Summary: gnome-background-properties and firefox add wallpaper bug
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: control-center
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-29 09:24 UTC by Rudolf Kastl
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-08-04 17:01:42 UTC


Attachments (Terms of Use)

Description Rudolf Kastl 2005-05-29 09:24:14 UTC
Description of problem:
adding a new wallpaper via firefox works only one time. if try the same
proceduere again it will not refresh the current desktop wallpaper properly.

Version-Release number of selected component (if applicable):
control-center-2.10.1-6

How reproducible:
always

Steps to Reproduce:
1.open firefox and go to art.gnome.org (wallpaper section.
2.pick a wallpaper you like and open the picture
3.right click on the picture and choose "make this picture my desktop wallpaper"
4.watch the wallpaper be changed
5.choose a second wallpaper and open the picture
6.install it with rightclicking on the picture

Actual results:
the wallpaper doesent get changed anymore

Expected results:
proper setting of the newly chosen wallpaper

Additional info:
if you choose a new one from the background properties you can add one again.

Comment 1 Matthias Clasen 2006-08-04 15:34:39 UTC
I think it would be nicer if firefox picked a different name every time,
like Firefox_wallpaper_<n>.png, so that you can collect multiple wallpaper.

On the other hand, it might be nice if nautilus just reloaded the background
image without checking for the filename to be different. Looking into this
right now.

Comment 2 Matthias Clasen 2006-08-04 17:01:42 UTC
Will be fixed in rawhide soon. (needs to wait for a nautilus rebuild)


Note You need to log in before you can comment on or make changes to this bug.